Bug 251721 - devel/glibmm: Update to 2.68.0
Summary: devel/glibmm: Update to 2.68.0
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on: 252333
Blocks: 251909
  Show dependency treegraph
 
Reported: 2020-12-10 05:31 UTC by Neel Chauhan
Modified: 2021-01-01 22:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Patch (Revision 1) (1.30 KB, patch)
2020-12-10 05:31 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (1.28 KB, patch)
2020-12-11 03:41 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 1) for Version 2.68.0 (44.38 KB, patch)
2021-01-01 18:04 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2020-12-10 05:31:55 UTC
Created attachment 220420 [details]
Patch (Revision 1)

Passes poudriere.
Comment 1 Daniel Engberg freebsd_committer 2020-12-10 10:44:49 UTC
Are gmake and libtool really required?
Comment 2 Daniel Engberg freebsd_committer 2020-12-10 10:50:42 UTC
..being a bit quick on the send button, sorry!

pathfix is probably not needed either

build-documentation and build-examples should be made into port/menu options

USES= should be merged into one variable

INSTALL_TARGET= can also most likely be dropped too

It would also be nice if make test (test-target) worked for regression testing.

Best regads,
Daniel
Comment 3 Neel Chauhan freebsd_committer 2020-12-11 03:41:52 UTC
Created attachment 220446 [details]
Patch (Revision 2)

Thanks for your feedback! Here's an updated patch.
Comment 4 Neel Chauhan freebsd_committer 2021-01-01 18:04:37 UTC
Created attachment 221169 [details]
Patch (Revision 1) for Version 2.68.0

New version 2.68.0.
Comment 5 Daniel Engberg freebsd_committer 2021-01-01 20:21:32 UTC
You need to start with creating a port for libsigc++30 (it doesn't exist and use meson), connect it to Mk/Uses/gnome.mk and lastly use it in the Makefile.

PORTVERSION --> DISTVERSION
Merge (combine) USES into one variable and remove "+" --> USES= .....
Convert to Meson (preferably)

Thanks for your work on this :-)
Comment 6 Neel Chauhan freebsd_committer 2021-01-01 22:00:40 UTC
No problem.

Right now, I am unable to make accessibility/atkmm see a dependency so I closed this, to prevent an broken update from being committed.

I will re-open once I can get it working.